    BasedOnStyle: LLVM
    Language: Cpp
    AlignAfterOpenBracket: Align
    AlignConsecutiveAssignments: true
    AlignConsecutiveDeclarations: true
    AlignConsecutiveMacros: true
    AlignEscapedNewlines: Left
    # AlignOperands: AlignAfterOperator
    AlignOperands: true
    AlignTrailingComments: true
    AllowAllArgumentsOnNextLine: false
    AllowAllParametersOfDeclarationOnNextLine: false
    AllowAllConstructorInitializersOnNextLine: false
    AllowShortBlocksOnASingleLine: true
    AllowShortCaseLabelsOnASingleLine: true
    AllowShortFunctionsOnASingleLine: true
    AllowShortIfStatementsOnASingleLine: true
    AllowShortLoopsOnASingleLine: false
    BreakBeforeBraces: Attach
    BreakStringLiterals: true
    IncludeBlocks: Regroup
    #IndentCaseBlocks: true
    IndentCaseLabels: true
    KeepEmptyLinesAtTheStartOfBlocks: false
    PointerAlignment: Right
    ReflowComments: true
    SpaceBeforeAssignmentOperators: true
    SpaceBeforeParens: ControlStatements
    SpaceBeforeSquareBrackets: false
    UseTab: ForContinuationAndIndentation
    IndentWidth: 4
    TabWidth: 4
    BinPackArguments: false
    BinPackParameters: false